
Foreman - Bug #14468

--foreman-unattended breaks db:migrate

04/04/2016 05:22 PM - Jason Hane

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: DB migrations   

Target version: 1.12.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.3

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3782

  

Description

When running the install with the "--foreman-unattended false" option it breaks "foreman-rake db:migrate".  This was from a Katello

2.4 installation.

# foreman-rake db:migrate --trace

** Invoke db:migrate (first_time)

** Invoke environment (first_time)

** Execute environment

** Invoke db:load_config (first_time)

** Execute db:load_config

** Execute db:migrate

==  AddLookupValueMatchToHostAndHostgroup: migrating ==========================

-- add_column(:hosts, :lookup_value_matcher, :string)

   -> 0.0009s

-- add_column(:hostgroups, :lookup_value_matcher, :string)

   -> 0.0004s

rake aborted!

An error has occurred, this and all later migrations canceled:

undefined method `id' for nil:NilClass

/usr/share/foreman/db/migrate/20150819105725_add_lookup_value_match_to_host_and_hostgroup.rb:14:in

 `up'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/migration.rb:410:in 

`block (2 levels) in migrate'

/opt/rh/ruby193/root/usr/share/ruby/benchmark.rb:280:in `measure'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/migration.rb:410:in 

`block in migrate'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

abstract/connection_pool.rb:123:in `with_connection'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/migration.rb:389:in 

`migrate'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/migration.rb:528:in 

`migrate'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/migration.rb:720:in 

`block (2 levels) in migrate'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/migration.rb:775:in 

`call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/migration.rb:775:in 

`block in ddl_transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

abstract/database_statements.rb:192:in `transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:208:

in `transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/migration.rb:775:in 

`ddl_transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/migration.rb:719:in 
`block in migrate'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/migration.rb:700:in 

`each'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/migration.rb:700:in 

`migrate'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/migration.rb:570:in 

`up'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/migration.rb:551:in 

`migrate'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/databases.r

ake:153:in `block (2 levels) in <top (required)>'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:205:in `call'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:205:in `block in execute'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:200:in `each'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:200:in `execute'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:158:in `block in invoke_with_call_chain'

/opt/rh/ruby193/root/usr/share/ruby/monitor.rb:211:in `mon_synchronize'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:151:in `invoke_with_call_chain'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:144:in `invoke'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:116:in `invoke_task'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `block (2 levels) in top_level'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `each'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `block in top_level'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:133:in `standard_exception_handling'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:88:in `top_level'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:66:in `block in run'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:133:in `standard_exception_handling'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:63:in `run'

/opt/rh/ruby193/root/usr/bin/rake:32:in `<main>'

Tasks: TOP => db:migrate

Related issues:

Related to Foreman - Refactor #15866: Provide alternative way of migrating da... New 07/27/2016

Associated revisions

Revision 4a3cb08b - 08/26/2016 10:33 AM - Ori Rabin

Fixes #14468 - fix db:migrate when unattended false on empty db

Revision cc12ba95 - 09/19/2016 11:59 AM - Ori Rabin

Fixes #14468 - fix db:migrate when unattended false on empty db

(cherry picked from commit 4a3cb08b2847e27dd2256c24521834bd44e50296)

History

#1 - 04/05/2016 02:06 AM - Marek Hulán

- Category set to DB migrations

#2 - 07/27/2016 12:07 PM - Ivan Necas

- Related to Refactor #15866: Provide alternative way of migrating data as oposed misuing db:migrate for this purpose added

#3 - 08/26/2016 07:26 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

- Target version set to 1.6.1

#4 - 08/26/2016 07:50 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3782 added

#5 - 08/26/2016 11:02 AM - Ori Rabin

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 4a3cb08b2847e27dd2256c24521834bd44e50296.

#6 - 08/30/2016 03:17 AM - Dominic Cleal

- translation missing: en.field_release set to 181

Powered by TCPDF (www.tcpdf.org)

05/23/2024 3/3

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/4a3cb08b2847e27dd2256c24521834bd44e50296
http://www.tcpdf.org

